Interface SparkEndpointBuilderFactory.SparkBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- SparkEndpointBuilderFactory
public static interface SparkEndpointBuilderFactory.SparkBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default SparkEndpointBuilderFactory.SparkEndpointBuilderspark(String path)Spark (camel-spark) Send RDD or DataFrame jobs to Apache Spark clusters.default SparkEndpointBuilderFactory.SparkEndpointBuilderspark(String componentName, String path)Spark (camel-spark) Send RDD or DataFrame jobs to Apache Spark clusters.
-
-
-
Method Detail
-
spark
default SparkEndpointBuilderFactory.SparkEndpointBuilder spark(String path)
Spark (camel-spark) Send RDD or DataFrame jobs to Apache Spark clusters. Category: bigdata,iot Since: 2.17 Maven coordinates: org.apache.camel:camel-spark Syntax:spark:endpointTypePath parameter: endpointType (required) Type of the endpoint (rdd, dataframe, hive). There are 3 enums and the value can be one of: rdd, dataframe, hive- Parameters:
path- endpointType- Returns:
- the dsl builder
-
spark
default SparkEndpointBuilderFactory.SparkEndpointBuilder spark(String componentName, String path)
Spark (camel-spark) Send RDD or DataFrame jobs to Apache Spark clusters. Category: bigdata,iot Since: 2.17 Maven coordinates: org.apache.camel:camel-spark Syntax:spark:endpointTypePath parameter: endpointType (required) Type of the endpoint (rdd, dataframe, hive). There are 3 enums and the value can be one of: rdd, dataframe, hive- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- endpointType- Returns:
- the dsl builder
-
-